#include "Lexer.hpp"
#include "Tools.hpp"
#include <string>

int main(){
    std::string content = ztl::get_string_from_file(ztl::get_argv(1).unwrap()).unwrap();
    ztl::logger("Reading file: ", ztl::get_argv(1).unwrap());
    ztl::logger("File content:\n", content);
    std::vector<ztl::lexer::Token> tokens = ztl::lexer::lexer(content);
    ztl::logger("Tokens parsed:\n", tokens);
}